﻿@model LoyaltyPointEngine.Model.Object.Area.RetailerCMSModel
@{

}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Edit Retailer</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> Edit Retailer</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.Retailer.Edit(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formEditRetailer" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }

                    @Html.HiddenFor(x => x.ID)
                    <div class="form-group">
                        <label class="col-md-3 control-label">Retailer Code <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Code, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Retailer Name <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Name, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">City @*<span class="required">*</span>*@</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.CityID, ViewBag.ListCity as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })
                            @*@Html.DropDownListFor(x => x.CityID, ViewBag.ListCity as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix", @required = "required" })*@
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Market</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.RetailerMarketID, ViewBag.ListMarket as IEnumerable<SelectListItem>, "",
                                new { @class = "full-width-fix ddl-market" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Channel</label>
                        <div class="col-md-9 div-widget-channel">
                            @Html.DropDownListFor(x => x.RetailerChannelID, ViewBag.ListChanel as IEnumerable<SelectListItem>, "",
                            new { @class = "full-width-fix ddl-chanel" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Sub Channel</label>
                        <div class="col-md-9 div-widget-sub-channel">
                            @Html.DropDownListFor(x => x.RetailerSubChannelID, ViewBag.ListSubChanel as IEnumerable<SelectListItem>, "",
                            new { @class = "full-width-fix ddl-sub-chanel" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Account</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.RetailerAccountID, ViewBag.ListAccount as IEnumerable<SelectListItem>, "",
                            new { @class = "full-width-fix ddl-account" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Sub Account</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.RetailerSubAccountID, ViewBag.ListSubAccount as IEnumerable<SelectListItem>, "",
                            new { @class = "full-width-fix ddl-sub-account" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">NoCap </label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsNoCap, new { @class = "full-width-fix ddl-sub-account" })
                        </div>
                    </div>
                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>
                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{
    <script src="@Links.Assets.assets.js.Retailer.Market_js?v1"></script>
    <script>
        var MarketController = new MarketController();
        $(document).ready(function () {
            MarketController.url_api_populate_channel = '@Url.Action(MVC.Retailer.GeneratedChannel())';
            MarketController.url_api_populate_sub_channel = '@Url.Action(MVC.Retailer.GeneratedSubChannel())';
            MarketController.url_api_populate_account = '@Url.Action(MVC.Retailer.GeneratedAccount())';
            MarketController.url_api_populate_sub_account = '@Url.Action(MVC.Retailer.GeneratedSubAccount())';
            MarketController.Initialize();

            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });
            $("#formEditRetailer").validate();
        });
    </script>
}